Subject: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Michael Albinus <[email-masked]>
Date: Fri, 08 Jan 2016 19:47:34 +0100

Random832 <[email-masked]> writes:

> The point is, the filenames (the remote filenames if the remote is OSX)
> will have the decomposed characters, and therefore may not match if the
> tests are expecting ls to come back with the composed ones. Tramp may
> need to get some way to specify a filesystem encoding for the remote
> host even where that may differ from the local filesystem.

Tramp sets utf-8-mac for encoding and utf-8 for decoding. I'll play with
utf-8-hfs when testing on a OSX machine.

Best regards, Michael.